Blendy VJ 1.2 for Mavericks

Blendy VJ version 1.2 have just been released, now good for Mavericks (OS X 10.9).

Note that this version will not work with Snow Leopard (OS X 10.6). If you are still using it, I suggest upgrading to Mountain Lion (OS X 10.8) or Mavericks, or download version 1.0. If you have any problems with this version, contact support and we will sort it out.


About this entry